import Ember from 'ember';

export default Ember.Controller.extend({
session: Ember.inject.service(),

  actions: {
    authenticate: function() {
      var credentials = this.getProperties('identification', 'password'),
        authenticator = 'authenticator:jwt';
      var ctx = this;

      this.get('session').authenticate(authenticator, credentials).then(function () {
        ctx.transitionToRoute('racks');
      });
    }
  }
});
