import Ember from 'ember';
import config from './config/environment';

const Router = Ember.Router.extend({
  location: config.locationType,
  rootURL: config.rootURL
});

Router.map(function() {
  this.route('racks');
  this.route('rack', { path: '/rack/:rack_id' });
  if (config.APP.jhipster) {
    this.route('login');
  }
});

export default Router;
