import Ember from 'ember';
import ENV from './../config/environment';

export default Ember.Route.extend({

  session: Ember.inject.service(),

  beforeModel() {
     if (ENV.APP.jhipster && ENV.APP.proxy && !this.get('session').get('isAuthenticated')) {
       this.transitionTo('login');
     } else {
       this.transitionTo('racks');
     }
   },
});
