import DS from 'ember-data';
import ENV from './../config/environment';

var JhipsterSerializer = DS.RESTSerializer.extend(DS.EmbeddedRecordsMixin,{
    attrs: {
      rack: { embedded: 'always'}
    }
  }
);

var MirageSerializer = DS.JSONAPISerializer.extend({
});

var FinalSerializer;
if (ENV.APP.jhipster && ENV.APP.proxy) {
  FinalSerializer = JhipsterSerializer;
} else {
  FinalSerializer = MirageSerializer;
}

export default FinalSerializer;
